Commit 98ce8e4a authored by Georg Müller's avatar Georg Müller Committed by Arnaldo Carvalho de Melo

perf test uprobe_from_different_cu: Skip if there is no gcc

Without gcc, the test will fail.

On cleanup, ignore probe removal errors. Otherwise, in case of an error
adding the probe, the temporary directory is not removed.

Fixes: 56cbeacf ("perf probe: Add test for regression introduced by switch to die_get_decl_file()")
Signed-off-by: default avatarGeorg Müller <georgmueller@gmx.net>
Acked-by: default avatarIan Rogers <irogers@google.com>
Cc: Adrian Hunter <adrian.hunter@intel.com>
Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
Cc: Georg Müller <georgmueller@gmx.net>
Cc: Ingo Molnar <mingo@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Mark Rutland <mark.rutland@arm.com>
Cc: Masami Hiramatsu <mhiramat@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Link: https://lore.kernel.org/r/20230728151812.454806-2-georgmueller@gmx.net
Link: https://lore.kernel.org/r/CAP-5=fUP6UuLgRty3t2=fQsQi3k4hDMz415vWdp1x88QMvZ8ug@mail.gmail.com/Signed-off-by: default avatarArnaldo Carvalho de Melo <acme@redhat.com>
parent b161f25f
...@@ -4,6 +4,12 @@ ...@@ -4,6 +4,12 @@
set -e set -e
# skip if there's no gcc
if ! [ -x "$(command -v gcc)" ]; then
echo "failed: no gcc compiler"
exit 2
fi
temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX) temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
cleanup() cleanup()
...@@ -11,7 +17,7 @@ cleanup() ...@@ -11,7 +17,7 @@ cleanup()
trap - EXIT TERM INT trap - EXIT TERM INT
if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
echo "--- Cleaning up ---" echo "--- Cleaning up ---"
perf probe -x ${temp_dir}/testfile -d foo perf probe -x ${temp_dir}/testfile -d foo || true
rm -f "${temp_dir}/"* rm -f "${temp_dir}/"*
rmdir "${temp_dir}" rmdir "${temp_dir}"
fi fi
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment